## Modulemd.RpmMapEntry (Private) Modulemd.RpmMapEntry (Private) — ModulemdRpmMapEntry methods that should be used only by internal consumers. |

## Stability Level

Private, unless otherwise indicated

## Functions

ModulemdRpmMapEntry * | modulemd_rpm_map_entry_parse_yaml ()
gboolean | modulemd_rpm_map_entry_emit_yaml ()
gboolean | modulemd_rpm_map_entry_equals_wrapper ()
gboolean | modulemd_RpmMapEntry_hash_table_equals_wrapper ()

## Description

## Functions

### modulemd_rpm_map_entry_parse_yaml ()

    ModulemdRpmMapEntry *
    modulemd_rpm_map_entry_parse_yaml (yaml_parser_t *parser,
                                       gboolean strict,
                                       GError **error);

#### Parameters

parser | A libyaml parser object positioned at the beginning of an RpmMapEntry's mapping entry in the YAML document. | [inout]
strict | Whether the parser should return failure if it encounters an unknown mapping key or if it should ignore it. | [in]
error | A GError that will return the reason for parsing error. | [out]

#### Returns

A newly-allocated ModulemdComponentRpm object read from the YAML. NULL if a parse error occurred and sets `error` appropriately.

[transfer full]

Since: 2.2

### modulemd_rpm_map_entry_emit_yaml ()

    gboolean
    modulemd_rpm_map_entry_emit_yaml (ModulemdRpmMapEntry *self,
                                      yaml_emitter_t *emitter,
                                      GError **error);

Return: TRUE if the entry was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

#### Parameters

self | This ModulemdRpmMapEntry object. |
emitter | A libyaml emitter object positioned where a ModulemdRpmMapEntry belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

Since: 2.2

### modulemd_rpm_map_entry_equals_wrapper ()

    gboolean
    modulemd_rpm_map_entry_equals_wrapper (const void *a,
                                           const void *b);

#### Parameters

a | A const void pointer. |
b | A const void pointer. |

#### Returns

TRUE if the two entries are both pointers to ModulemdRpmMapEntry objects containing equivalent data. FALSE if they differ.

Since: 2.5

### modulemd_RpmMapEntry_hash_table_equals_wrapper ()

    gboolean
    modulemd_RpmMapEntry_hash_table_equals_wrapper
                                   (const void *a,
                                    const void *b);

#### Parameters

a | A const void pointer. |
b | A const void pointer. |

#### Returns

TRUE if the two entries are equivalent GHashTables of pointers to ModulemdRpmMapEntry objects containing equivalent data. FALSE if they differ.

Since: 2.5